package com.ruoyi.project.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.system.mapper.ZhCompanyInfoMapper;
import com.ruoyi.project.system.domain.ZhCompanyInfo;
import com.ruoyi.project.system.service.IZhCompanyInfoService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author zhu
 * @date 2023-12-26
 */
@Service
public class ZhCompanyInfoServiceImpl implements IZhCompanyInfoService 
{
    @Autowired
    private ZhCompanyInfoMapper zhCompanyInfoMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public ZhCompanyInfo selectZhCompanyInfoById(Long id)
    {
        return zhCompanyInfoMapper.selectZhCompanyInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param zhCompanyInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<ZhCompanyInfo> selectZhCompanyInfoList(ZhCompanyInfo zhCompanyInfo)
    {
        return zhCompanyInfoMapper.selectZhCompanyInfoList(zhCompanyInfo);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param zhCompanyInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertZhCompanyInfo(ZhCompanyInfo zhCompanyInfo)
    {
        return zhCompanyInfoMapper.insertZhCompanyInfo(zhCompanyInfo);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param zhCompanyInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateZhCompanyInfo(ZhCompanyInfo zhCompanyInfo)
    {
        return zhCompanyInfoMapper.updateZhCompanyInfo(zhCompanyInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteZhCompanyInfoByIds(Long[] ids)
    {
        return zhCompanyInfoMapper.deleteZhCompanyInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteZhCompanyInfoById(Long id)
    {
        return zhCompanyInfoMapper.deleteZhCompanyInfoById(id);
    }
}
